Un error a Linux 4.18 El nucli provoca la parada de la CPU i el sistema es congela al maquinari anterior

Un error a Linux 4.18 El nucli provoca la parada de la CPU i el sistema es congela al maquinari anterior

Linux-Unix / Un error a Linux 4.18 El nucli provoca la parada de la CPU i el sistema es congela al maquinari anterior

Sèrie Core 2 Duo especialment afectada

1 minut de lectura

Linux Kernel Organization, Inc.

Si alguna vegada heu necessitat una bona raó per actualitzar la vostra antiga CPU, sembla que un error de 'demostració' s'ha trobat a la sèrie de nuclis estables de Linux 4.18, tot i que és el seu únic maquinari anterior, principalment els processadors de l'era Intel Core 2 Duo. Aquest error del nucli Linux 4.18 té actualment dos informes d'errors enviats al rastrejador de bugzilla.





La sèrie Core 2 Duo no és gens estranya, tot i ser una CPU més antiga, era popular en els seus dies i continua sent popular en països més en desenvolupament. Com que hi ha distribucions de Linux dirigides específicament a països en vies de desenvolupament amb maquinari més antic, aquest error pot suposar un mal de cap per a molta gent.

L’error provoca bàsicament un bloqueig inicial de la CPU d’arrencada i una congelació total del sistema en arrencar a Linux 4.18 fins a 4.18.5, i s’ha remuntat a clocksource: Traieu kthread com a compromís problemàtic.



clocksource: elimineu kthread

El vigilant clocksource utilitza un treball per generar un kthread per executar-lo. Això és tan ximple com sembla, executeu el gos de vigilància directament des de la feina.

Si el nucli Linux 4.18 es construeix amb aquesta confirmació revertida, els processadors Core 2 Duo funcionaran sense cap problema en aquest nucli Linux més recent. Una altra solució a aquest error és arrencar el sistema amb el paràmetre del nucli de clocksource = hpet, tot i que si esteu executant un maquinari tan antic com el Core 2 Duo, que va veure la seva darrera versió al ~ 2010, probablement només podríeu triar una versió anterior de Linux LTS estable per arrencar el vostre sistema, mentre s'espera que la situació es solucioni al nucli més recent i es porti de nou a la sèrie del nucli 4.18.

Etiquetes Nucli Linux